Subject: bug#630: exim 4.94.5 installation configures IPv6 by default on IPv4 only machines

From: Mark Hindley <[email-masked]>
Date: Mon, 15 Nov 2021 10:55:38 +0000

Control: tags -1 debian

Hi,

Thanks for this.

On Sat, Nov 13, 2021 at 05:31:42PM -0300, [email-masked] wrote:
> Package: exim4
> Version: 4.92-5
> Severity: grave
> 
> I've previously reported this bug to Debian:
> 
> https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=999612
> 
> Unfortunately, a *single* reference to Devuan slipped by my editing.
> As a result, the bug report was instantly/swiftly closed by the chap 
> in charge with the reply being:

I have just had a quick look through your Debian report. I don't think it is
closed, just downgraded to wishlist. I don't see any mention of Devuan or that
being the reason for his response

> "Well, you are running an unsupported setup."

I think this comment might relate to the fact that it is unsupported to comment
out the default ipv6 localhost entries in /etc/hosts.

If you reinstate them, does the pause on startup disappear?

[..]

> I'd appreciate any comments you'd care to make.

I am not sure there is anything we can do in Devuan as this isn't a forked
package and we use Debian's packages directly without recompilation.

Best wishes

Mark